import { HttpClient } from '@wix/sdk-types';
import { GetPlacementStatusResponse } from './app-plugins-site-plugins-v1-placement-status-plugins.universal.js';
export declare const __metadata: {
    PACKAGE_NAME: string;
};
export declare function getPlacementStatus(httpClient: HttpClient): GetPlacementStatusSignature;
interface GetPlacementStatusSignature {
    /**
     * Get the placement statuses of your app's site plugins on the user's site.
     */
    (): Promise<GetPlacementStatusResponse>;
}
export { GetPlacementStatusRequest, GetPlacementStatusResponse, PlacementStatus, } from './app-plugins-site-plugins-v1-placement-status-plugins.universal.js';
